hpp-corbaserver: _objref_Robot Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Robot Class Reference

`#include <hpp/corbaserver/robot-idl.hh>`

Inheritance diagram for _objref_Robot:
[legend]
Collaboration diagram for _objref_Robot:
[legend]

## Public Member Functions
void | loadRobotModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)
void | loadHumanoidModel (const char *robotName, const char *rootJointType, const char *urdfName, const char *srdfName)
void | loadRobotModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)
void | loadHumanoidModelFromString (const char *robotName, const char *rootJointType, const char *urdfString, const char *srdfString)
::CORBA::Long | getConfigSize ()
::CORBA::Long | getNumberDof ()
Names_t * | getJointNames ()
Names_t * | getJointTypes ()
Names_t * | getAllJointNames ()
char * | getParentJointName (const char *jointName)
floatSeq * | getJointConfig (const char *jointName)
void | setJointConfig (const char *jointName, const ::hpp::floatSeq &config)
char * | getJointType (const char *jointName)
floatSeq * | jointIntegrate (const ::hpp::floatSeq &jointCfg, const char *jointName, const ::hpp::floatSeq &speed, ::CORBA::Boolean saturate)
floatSeqSeq * | getCurrentTransformation (const char *jointName)
Transform__slice * | getJointPosition (const char *jointName)
TransformSeq * | getJointsPosition (const ::hpp::floatSeq &q, const ::hpp::Names_t &jointNames)
floatSeq * | getJointVelocity (const char *jointName)
floatSeq * | getJointVelocityInLocalFrame (const char *jointName)
Transform__slice * | getJointPositionInParentFrame (const char *jointName)
Transform__slice * | getRootJointPosition ()
void | setRootJointPosition (const ::hpp::Transform_ position)
void | setJointPositionInParentFrame (const char *jointName, const ::hpp::Transform_ position)
::CORBA::Long | getJointNumberDof (const char *jointName)
::CORBA::Long | getJointConfigSize (const char *jointName)
void | setJointBounds (const char *jointName, const ::hpp::floatSeq &inJointBound)
floatSeq * | getJointBounds (const char *jointName)
Transform__slice * | getLinkPosition (const char *linkName)
TransformSeq * | getLinksPosition (const ::hpp::floatSeq &q, const ::hpp::Names_t &linkName)
Names_t * | getLinkNames (const char *jointName)
void | setDimensionExtraConfigSpace (::CORBA::ULong dimension)
::CORBA::ULong | getDimensionExtraConfigSpace ()
void | setExtraConfigSpaceBounds (const ::hpp::floatSeq &bounds)
floatSeq * | getCurrentConfig ()
floatSeq * | shootRandomConfig ()
void | setCurrentConfig (const ::hpp::floatSeq &dofArray)
floatSeq * | getCurrentVelocity ()
void | setCurrentVelocity (const ::hpp::floatSeq &qDot)
Names_t * | getJointInnerObjects (const char *jointName)
Names_t * | getJointOuterObjects (const char *jointName)
void | getObjectPosition (const char *objectName, ::hpp::Transform_ cfg)
void | isConfigValid (const ::hpp::floatSeq &dofArray, ::CORBA::Boolean &validity, ::CORBA::String_out report)
void | distancesToCollision (::hpp::floatSeq_out distances, ::hpp::Names_t_out innerObjects, ::hpp::Names_t_out outerObjects, ::hpp::floatSeqSeq_out innerPoints, ::hpp::floatSeqSeq_out outerPoints)
void | autocollisionCheck (::hpp::boolSeq_out collide)
void | autocollisionPairs (::hpp::Names_t_out innerObjects, ::hpp::Names_t_out outerObjects, ::hpp::boolSeq_out active)
void | setAutoCollision (const char *innerObject, const char *outerObject, ::CORBA::Boolean active)
floatSeq * | getRobotAABB ()
::CORBA::Double | getMass ()
floatSeq * | getCenterOfMass ()
floatSeq * | getCenterOfMassVelocity ()
floatSeqSeq * | getJacobianCenterOfMass ()
void | addPartialCom (const char *comName, const ::hpp::Names_t &jointNames)
floatSeq * | getPartialCom (const char *comName)
floatSeqSeq * | getJacobianPartialCom (const char *comName)
floatSeq * | getVelocityPartialCom (const char *comName)
char * | getRobotName ()
pinocchio_idl::CenterOfMassComputation_ptr | getCenterOfMassComputation (const char *name)
void | createRobot (const char *robotName)
void | appendJoint (const char *parentJoint, const char *jointName, const char *jointType, const ::hpp::Transform_ pos)
void | createPolyhedron (const char *inPolyName)
void | createBox (const char *name, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)
void | createSphere (const char *name, ::CORBA::Double radius)
void | createCylinder (const char *name, ::CORBA::Double radius, ::CORBA::Double length)
::CORBA::ULong | addPoint (const char *inPolyName, ::CORBA::Double x, ::CORBA::Double y, ::CORBA::Double z)
::CORBA::ULong | addTriangle (const char *inPolyName, ::CORBA::ULong pt1, ::CORBA::ULong pt2, ::CORBA::ULong pt3)
void | addObjectToJoint (const char *jointName, const char *objectName, const ::hpp::Transform_ pos)
| _objref_Robot ()
| _objref_Robot (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Robot ()

## Friends
class | Robot

## Constructor & Destructor Documentation

## ◆ _objref_Robot() [1/2]

_objref_Robot::_objref_Robot | ( |  | ) |
| inline

## ◆ _objref_Robot() [2/2]

_objref_Robot::_objref_Robot | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Robot()

virtual _objref_Robot::~_objref_Robot | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ addObjectToJoint()

void _objref_Robot::addObjectToJoint | ( | const char * | jointName,
|  | const char * | objectName,
|  | const ::hpp::Transform_ | pos
| ) |  |

## ◆ addPartialCom()

void _objref_Robot::addPartialCom | ( | const char * | comName,
|  | const ::hpp::Names_t & | jointNames
| ) |  |

## ◆ addPoint()

::CORBA::ULong _objref_Robot::addPoint | ( | const char * | inPolyName,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |

## ◆ addTriangle()

::CORBA::ULong _objref_Robot::addTriangle | ( | const char * | inPolyName,
|  | ::CORBA::ULong | pt1,
|  | ::CORBA::ULong | pt2,
|  | ::CORBA::ULong | pt3
| ) |  |

## ◆ appendJoint()

void _objref_Robot::appendJoint | ( | const char * | parentJoint,
|  | const char * | jointName,
|  | const char * | jointType,
|  | const ::hpp::Transform_ | pos
| ) |  |

## ◆ autocollisionCheck()

void _objref_Robot::autocollisionCheck | ( | ::hpp::boolSeq_out | collide | ) |

## ◆ autocollisionPairs()

void _objref_Robot::autocollisionPairs | ( | ::hpp::Names_t_out | innerObjects,
|  | ::hpp::Names_t_out | outerObjects,
|  | ::hpp::boolSeq_out | active
| ) |  |

## ◆ createBox()

void _objref_Robot::createBox | ( | const char * | name,
|  | ::CORBA::Double | x,
|  | ::CORBA::Double | y,
|  | ::CORBA::Double | z
| ) |  |

## ◆ createCylinder()

void _objref_Robot::createCylinder | ( | const char * | name,
|  | ::CORBA::Double | radius,
|  | ::CORBA::Double | length
| ) |  |

## ◆ createPolyhedron()

void _objref_Robot::createPolyhedron | ( | const char * | inPolyName | ) |

## ◆ createRobot()

void _objref_Robot::createRobot | ( | const char * | robotName | ) |

## ◆ createSphere()

void _objref_Robot::createSphere | ( | const char * | name,
|  | ::CORBA::Double | radius
| ) |  |

## ◆ distancesToCollision()

void _objref_Robot::distancesToCollision | ( | ::hpp::floatSeq_out | distances,
|  | ::hpp::Names_t_out | innerObjects,
|  | ::hpp::Names_t_out | outerObjects,
|  | ::hpp::floatSeqSeq_out | innerPoints,
|  | ::hpp::floatSeqSeq_out | outerPoints
| ) |  |

## ◆ getAllJointNames()

Names_t * _objref_Robot::getAllJointNames | ( |  | ) |

## ◆ getCenterOfMass()

floatSeq * _objref_Robot::getCenterOfMass | ( |  | ) |

## ◆ getCenterOfMassComputation()

pinocchio_idl::CenterOfMassComputation_ptr _objref_Robot::getCenterOfMassComputation | ( | const char * | name | ) |

## ◆ getCenterOfMassVelocity()

floatSeq * _objref_Robot::getCenterOfMassVelocity | ( |  | ) |

## ◆ getConfigSize()

::CORBA::Long _objref_Robot::getConfigSize | ( |  | ) |

## ◆ getCurrentConfig()

floatSeq * _objref_Robot::getCurrentConfig | ( |  | ) |

## ◆ getCurrentTransformation()

floatSeqSeq * _objref_Robot::getCurrentTransformation | ( | const char * | jointName | ) |

## ◆ getCurrentVelocity()

floatSeq * _objref_Robot::getCurrentVelocity | ( |  | ) |

## ◆ getDimensionExtraConfigSpace()

::CORBA::ULong _objref_Robot::getDimensionExtraConfigSpace | ( |  | ) |

## ◆ getJacobianCenterOfMass()

floatSeqSeq * _objref_Robot::getJacobianCenterOfMass | ( |  | ) |

## ◆ getJacobianPartialCom()

floatSeqSeq * _objref_Robot::getJacobianPartialCom | ( | const char * | comName | ) |

## ◆ getJointBounds()

floatSeq * _objref_Robot::getJointBounds | ( | const char * | jointName | ) |

## ◆ getJointConfig()

floatSeq * _objref_Robot::getJointConfig | ( | const char * | jointName | ) |

## ◆ getJointConfigSize()

::CORBA::Long _objref_Robot::getJointConfigSize | ( | const char * | jointName | ) |

## ◆ getJointInnerObjects()

Names_t * _objref_Robot::getJointInnerObjects | ( | const char * | jointName | ) |

## ◆ getJointNames()

Names_t * _objref_Robot::getJointNames | ( |  | ) |

## ◆ getJointNumberDof()

::CORBA::Long _objref_Robot::getJointNumberDof | ( | const char * | jointName | ) |

## ◆ getJointOuterObjects()

Names_t * _objref_Robot::getJointOuterObjects | ( | const char * | jointName | ) |

## ◆ getJointPosition()

Transform__slice * _objref_Robot::getJointPosition | ( | const char * | jointName | ) |

## ◆ getJointPositionInParentFrame()

Transform__slice * _objref_Robot::getJointPositionInParentFrame | ( | const char * | jointName | ) |

## ◆ getJointsPosition()

TransformSeq * _objref_Robot::getJointsPosition | ( | const ::hpp::floatSeq & | q,
|  | const ::hpp::Names_t & | jointNames
| ) |  |

## ◆ getJointType()

char * _objref_Robot::getJointType | ( | const char * | jointName | ) |

## ◆ getJointTypes()

Names_t * _objref_Robot::getJointTypes | ( |  | ) |

## ◆ getJointVelocity()

floatSeq * _objref_Robot::getJointVelocity | ( | const char * | jointName | ) |

## ◆ getJointVelocityInLocalFrame()

floatSeq * _objref_Robot::getJointVelocityInLocalFrame | ( | const char * | jointName | ) |

## ◆ getLinkNames()

Names_t * _objref_Robot::getLinkNames | ( | const char * | jointName | ) |

## ◆ getLinkPosition()

Transform__slice * _objref_Robot::getLinkPosition | ( | const char * | linkName | ) |

## ◆ getLinksPosition()

TransformSeq * _objref_Robot::getLinksPosition | ( | const ::hpp::floatSeq & | q,
|  | const ::hpp::Names_t & | linkName
| ) |  |

## ◆ getMass()

::CORBA::Double _objref_Robot::getMass | ( |  | ) |

## ◆ getNumberDof()

::CORBA::Long _objref_Robot::getNumberDof | ( |  | ) |

## ◆ getObjectPosition()

void _objref_Robot::getObjectPosition | ( | const char * | objectName,
|  | ::hpp::Transform_ | cfg
| ) |  |

## ◆ getParentJointName()

char * _objref_Robot::getParentJointName | ( | const char * | jointName | ) |

## ◆ getPartialCom()

floatSeq * _objref_Robot::getPartialCom | ( | const char * | comName | ) |

## ◆ getRobotAABB()

floatSeq * _objref_Robot::getRobotAABB | ( |  | ) |

## ◆ getRobotName()

char * _objref_Robot::getRobotName | ( |  | ) |

## ◆ getRootJointPosition()

Transform__slice * _objref_Robot::getRootJointPosition | ( |  | ) |

## ◆ getVelocityPartialCom()

floatSeq * _objref_Robot::getVelocityPartialCom | ( | const char * | comName | ) |

## ◆ isConfigValid()

void _objref_Robot::isConfigValid | ( | const ::hpp::floatSeq & | dofArray,
|  | ::CORBA::Boolean & | validity,
|  | ::CORBA::String_out | report
| ) |  |

## ◆ jointIntegrate()

floatSeq * _objref_Robot::jointIntegrate | ( | const ::hpp::floatSeq & | jointCfg,
|  | const char * | jointName,
|  | const ::hpp::floatSeq & | speed,
|  | ::CORBA::Boolean | saturate
| ) |  |

## ◆ loadHumanoidModel()

void _objref_Robot::loadHumanoidModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |

## ◆ loadHumanoidModelFromString()

void _objref_Robot::loadHumanoidModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |

## ◆ loadRobotModel()

void _objref_Robot::loadRobotModel | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfName,
|  | const char * | srdfName
| ) |  |

## ◆ loadRobotModelFromString()

void _objref_Robot::loadRobotModelFromString | ( | const char * | robotName,
|  | const char * | rootJointType,
|  | const char * | urdfString,
|  | const char * | srdfString
| ) |  |

## ◆ setAutoCollision()

void _objref_Robot::setAutoCollision | ( | const char * | innerObject,
|  | const char * | outerObject,
|  | ::CORBA::Boolean | active
| ) |  |

## ◆ setCurrentConfig()

void _objref_Robot::setCurrentConfig | ( | const ::hpp::floatSeq & | dofArray | ) |

## ◆ setCurrentVelocity()

void _objref_Robot::setCurrentVelocity | ( | const ::hpp::floatSeq & | qDot | ) |

## ◆ setDimensionExtraConfigSpace()

void _objref_Robot::setDimensionExtraConfigSpace | ( | ::CORBA::ULong | dimension | ) |

## ◆ setExtraConfigSpaceBounds()

void _objref_Robot::setExtraConfigSpaceBounds | ( | const ::hpp::floatSeq & | bounds | ) |

## ◆ setJointBounds()

void _objref_Robot::setJointBounds | ( | const char * | jointName,
|  | const ::hpp::floatSeq & | inJointBound
| ) |  |

## ◆ setJointConfig()

void _objref_Robot::setJointConfig | ( | const char * | jointName,
|  | const ::hpp::floatSeq & | config
| ) |  |

## ◆ setJointPositionInParentFrame()

void _objref_Robot::setJointPositionInParentFrame | ( | const char * | jointName,
|  | const ::hpp::Transform_ | position
| ) |  |

## ◆ setRootJointPosition()

void _objref_Robot::setRootJointPosition | ( | const ::hpp::Transform_ | position | ) |

## ◆ shootRandomConfig()

floatSeq * _objref_Robot::shootRandomConfig | ( |  | ) |

## Friends And Related Symbol Documentation

## ◆ Robot

friend class Robot
| friend

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/robot-idl.hh